Bug 222474 - PAM unable to dlopen(/lib/security/pam_abl_so)
PAM unable to dlopen(/lib/security/pam_abl_so)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pam_abl (Show other bugs)
5
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Alexander Dalloz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 14:07 EST by Bob Martin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-29 13:35:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Martin 2007-01-12 14:07:21 EST
Description of problem:
PAM [error: /lib/security/pam_abl_so: cannot open shared object file: No such file or directory]

Version-Release number of selected component (if applicable):
pam_abl-0.2.3

How reproducible:
every time

Steps to Reproduce:
1. try to login with sshd more than 4 times
2.
3.
  
Actual results:


Expected results:
[root@terasembot log]# pam_abl -rv /etc/security/pam_abl.conf
Reading config from /etc/security/pam_abl.conf
Failed users: 

                    jane (11)
                    Blocking users [!root]

Failed hosts:


Additional info:

Jan 12 13:40:10 localhost sshd[18790]: Invalid user medical from 24.227.60.26
Jan 12 18:40:10 localhost sshd[18791]: input_userauth_request: invalid user medical
Jan 12 18:40:10 localhost sshd[18791]: Failed none for invalid user medical from 24.227.60.26 port 
51168 ssh2
Jan 12 13:40:10 localhost sshd[18790]: PAM unable to dlopen(/lib/security/pam_abl_so)
Jan 12 13:40:10 localhost sshd[18790]: PAM [error: /lib/security/pam_abl_so: cannot open shared 
object file: No such file or directory]
Jan 12 13:40:10 localhost sshd[18790]: PAM adding faulty module: /lib/security/pam_abl_so
Jan 12 18:40:10 localhost sshd[18791]: Failed gssapi-with-mic for invalid user medical from 
24.227.60.26 port 51168 ssh2
Jan 12 18:40:10 localhost sshd[18791]: Failed gssapi-with-mic for invalid user medical from 
24.227.60.26 port 51168 ssh2
Jan 12 13:40:12 localhost sshd[18790]: pam_unix(sshd:auth): check pass; user unknown
Jan 12 13:40:12 localhost sshd[18790]: pam_unix(sshd:auth): authentication failure; logname= uid=0 
euid=0 tty=ssh ruser= rhost=rrcs-24-227-60-26.se.biz.rr.com
Comment 1 Dmitry Butskoy 2007-01-15 07:53:16 EST
Wrong Component field selected? ;)
Comment 2 Robert Scheck 2007-01-15 08:50:03 EST
Well, if it is really "/lib/security/pam_abl_so", then it *must* be a typo in
/etc/pam.d/system-auth - because "/lib/security/pam_abl.so" would be correct:

$ ls -l /lib/security/pam_abl*
-rwxr-xr-x 1 root root 67873 Oct  5 18:54 /lib/security/pam_abl.so
$ 
Comment 3 Alexander Dalloz 2007-05-12 13:32:38 EDT
As Robert says in #2 it must be a typo in the PAM configuration.

Jan 12 13:40:10 localhost sshd[18790]: PAM unable to
dlopen(/lib/security/pam_abl_so)
Jan 12 13:40:10 localhost sshd[18790]: PAM [error: /lib/security/pam_abl_so:
cannot open shared 
object file: No such file or directory]
Jan 12 13:40:10 localhost sshd[18790]: PAM adding faulty module:
/lib/security/pam_abl_so

Bob, please recheck your setup and comment the situation.
Comment 4 Alexander Dalloz 2007-05-29 13:35:30 EDT
No update on the problem since Jan. 07, obviously a typo in the reporter's PAM
configuration, so closing this ticket as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.